summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2016-10-19 19:02:32 +0200
committerFabian Groffen <grobian@gentoo.org>2016-10-19 19:02:32 +0200
commit881cd1d16fb40a0d7a101c9bf9b0e3d779e27998 (patch)
treed6ec6edc9606e381fd6539c69ae12fa12d7e5fff /sys-apps/man/man-1.6g-r1.ebuild
parentupdate-rsync-master: new gpg will ask for password even with --batch (diff)
downloadprefix-881cd1d16fb40a0d7a101c9bf9b0e3d779e27998.tar.gz
prefix-881cd1d16fb40a0d7a101c9bf9b0e3d779e27998.tar.bz2
prefix-881cd1d16fb40a0d7a101c9bf9b0e3d779e27998.zip
sys-apps/man: properly register host-specific sections
Package-Manager: portage-2.2.28-prefix
Diffstat (limited to 'sys-apps/man/man-1.6g-r1.ebuild')
-rw-r--r--sys-apps/man/man-1.6g-r1.ebuild15
1 files changed, 15 insertions, 0 deletions
diff --git a/sys-apps/man/man-1.6g-r1.ebuild b/sys-apps/man/man-1.6g-r1.ebuild
index 61976b3945..45fad6fd85 100644
--- a/sys-apps/man/man-1.6g-r1.ebuild
+++ b/sys-apps/man/man-1.6g-r1.ebuild
@@ -77,6 +77,21 @@ src_prepare() {
-e 's/@man_install_flags@//g' \
"${S}"/src/Makefile.in
eend $?
+ (
+ local d cat=() dflt
+ dflt=( $(sed -n '/^tmpsections=/s/^[^"]\+"\([^"]\+\)".*$/\1/p' \
+ configure) )
+ IFS=:
+ for d in /usr/share/man/man* ; do
+ [[ -d ${d} ]] || continue
+ [[ ":${dflt[*]}:" == *":${d##*man}:"* ]] \
+ || cat+=( ${d##*man} )
+ done
+ if [[ ${#cat[@]} -gt 0 ]] ; then
+ einfo "Adding host manpage sections: ${cat[*]}"
+ sed -i -e "/^MANSECT\t/s/\$/:${cat[*]}/" src/man.conf.in || die
+ fi
+ )
fi
}